## Quick Start

We suggest readers to fine-tune on these small tasks for fast evaluation.

Please download [GLUE](https://github.com/nyu-mll/GLUE-baselines) data and put all tasks into `data/glue/`.

**RTE**

```bash
python run.py \
  --do_train \
  --do_eval \
  --task_name RTE \
  --learning_rate 3e-5 \
  --train_batch_size 32 \
  --do_lower_case \
  --output_dir rte \
  --weight_decay 0 \
  --num_train_epochs 10 \
  --meta_steps 8
```

**STS-B**

```bash
python run.py \
  --do_train \
  --do_eval \
  --task_name STS-B \
  --learning_rate 2e-5 \
  --train_batch_size 16 \
  --do_lower_case \
  --output_dir sts \
  --num_train_epochs 10 \
  --meta_steps 8
```

**SST-2**

```bash
python run.py \
  --do_train \
  --do_eval \
  --task_name SST-2 \
  --learning_rate 1e-5 \
  --train_batch_size 32 \
  --do_lower_case \
  --output_dir sst \
  --meta_steps 16
```

**Test**

```bash
python run_sent_clas.py \
  --do_test \
  --task_name STS-B \
  --learning_rate 2e-5 \
  --train_batch_size 16 \
  --do_lower_case \
  --output_dir sts \
  --num_train_epochs 10 \
  --load_model_path sts/9_pytorch_model.bin
```

Our submission results (just for this experiment) on GLUE test are bellow:

SST-2: 93.5

STS-B: 85.3

RTE: 69.4

